import org.kde.qt.*;

public class LCDRange extends QVBox {
	public LCDRange(QWidget parent, String name) {
		super(parent, name);
		QLCDNumber lcd = new QLCDNumber(2, this, "lcd");
		QSlider slider = new QSlider(Horizontal, this, "slider");
		slider.setRange(0, 99);
		slider.setValue(0);
		connect(slider, SIGNAL("valueChanged(int)"), lcd, SLOT("display(int)"));
	}
	public LCDRange(QWidget parent) {
		this(parent, null);
	}
}
